import { defineConfig } from 'vite';
import { viteStaticCopy } from 'vite-plugin-static-copy';
import wasm from 'vite-plugin-wasm';
import topLevelAwait from 'vite-plugin-top-level-await';

export default defineConfig({
	build: {
		target: 'esnext',
		outDir: 'dist',
		rollupOptions: {
			input: './bootstrap.js',
			output: {
				entryFileNames: 'bootstrap.js',
			},
		},
	},
	plugins: [
		viteStaticCopy({
			targets: [
				{
					src: 'index.html',
					dest: '',
				},
			],
		}),
		wasm(),
		topLevelAwait()
	],
	mode: 'development',
});

